<?php
/* Mantenimiento de los registros de la tabla MST_Color redefinidos por el usaurio */
class MST_ColorDP extends BaseMST_ColorDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdColor ) IS NULL, 1, MAX( IdColor ) + 1 ) i_Id  FROM MST_Color;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>